<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Categoriainterbank{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO categoriainterbank (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idcategoriainterbank,$nombre,$descripcion){
	$sql="UPDATE categoriainterbank SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idcategoriainterbank='$idcategoriainterbank'";
	return ejecutarConsulta($sql);
}
public function desactivar($idcategoriainterbank){
	$sql="UPDATE categoriainterbank SET condicion='0' WHERE idcategoriainterbank='$idcategoriainterbank'";
	return ejecutarConsulta($sql);
}
public function activar($idcategoriainterbank){
	$sql="UPDATE categoriainterbank SET condicion='1' WHERE idcategoriainterbank='$idcategoriainterbank'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idcategoriainterbank){
	$sql="SELECT * FROM categoriainterbank WHERE idcategoriainterbank='$idcategoriainterbank'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM categoriainterbank";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM categoriainterbank WHERE condicion=1";
	return ejecutarConsulta($sql);
}


}

 ?>
